"""
Module defining the message subjects used by the EngManager.
"""
#-------------------------------------------------------------------------------
# EngineManager control messages
#-------------------------------------------------------------------------------


#-------------------------------------------------------------------------------
#EngineManager published messages
#-------------------------------------------------------------------------------
#Published when a new engine is started after the console connects, data=engname, engtype
ENGINE_STARTED = 'Engine.Started'

#Published when an engine is closed. data=engname
ENGINE_CLOSED = 'Engine.Closed'

#Published when the current engine in the EngineManager is switched, data=(new engname,old engname)
ENGINE_SWITCHED = 'Engine.Switched'

#Published when a new breakpoint is set by the enginemanager, 
# data=(id,bpdata)
ENGMAN_BREAKPOINT_SET = 'EngMan.Breakpoint.Set'

#Published when a breakpoint is cleared, data=(id,)
# if id is None - all have been cleared.
ENGMAN_BREAKPOINT_CLEARED = 'EngMan.Breakpoint.Cleared'

#Published when a breakpoint is changed, 
# data=(id, kwargs=dictionary of changed values)
ENGMAN_BREAKPOINT_CHANGED = 'EngMan.Breakpoint.Changed'


