"""
FileDrop - a drop target for use in various places. Uses the message_bus system
and FileIO core tool to open files.
"""
import wx

#---Drag and drop class --------------------------------------------------------         
class FileDrop(wx.FileDropTarget):
    def __init__(self, openfunc=None):
        """
        Create a file drop target which either called the openfunc or if None
        uses the default fileIO system which will attempt to open the file
        in the registered handler.
        """
        wx.FileDropTarget.__init__(self)
        self.openfunc = openfunc

    def OnDropFiles(self, x, y, filenames):
        if self.openfunc==None:
            wx.GetApp().msg_bus.send_msg('FileIO','Open', filenames)
        else:
            for filename in filenames:
                self.openfunc(filename)

