"""
PythonToolkit post install/uninstall script to add shorcuts in windows.
"""
import os
import sys
import _winreg as winreg #module renamed in python 3

if sys.argv[1] == "-install":

    print "PythonToolkit installed sucessfully - creating shortcuts"

    ##create a startmenu folder for PTK.
    startmenu = get_special_folder_path("CSIDL_COMMON_STARTMENU")
    #startmenu = get_special_folder_path("CSIDL_STARTMENU")
    ptk_dir = startmenu+'\\Programs\\PythonToolkit(PTK)'
    os.mkdir( ptk_dir)
    directory_created(ptk_dir)

    ##Create a startmenu shortcut
    target = sys.prefix+'\\pythonw'
    description = 'Start PythonToolkit (PTK)'
    filename = ptk_dir+'\\PythonToolkit(PTK).lnk'
    args = sys.prefix+'\\Scripts\\PTK.pyw'
    create_shortcut(target, description, filename,args,sys.prefix,sys.prefix+'\\Lib\\site-packages\\ptk_lib\\icons\\ptk.ico')
    file_created(filename)

    ##add registry entries
    try:
        #build command
        prefix = os.path.normpath(sys.prefix)
        cmd = '"'+prefix+os.sep+'pythonw.exe" "'+prefix+os.sep+'\scripts\PTK.pyw" -f "%1"'

        #.py
        #HKEY_CLASSES_ROOT\Python.File\shell\Edit with PTK\command
        #   default = "c:\python27\pythonw.exe" "c:\python27\scripts\PTK" -f "%1"
        key = winreg.CreateKey(winreg.HKEY_CLASSES_ROOT, 
                "Python.File\shell\Edit with PTK\command")
        winreg.SetValueEx(key, "", 0, winreg.REG_SZ, cmd)
        winreg.CloseKey(key)

        #.pyw
        #HKEY_CLASSES_ROOT\Python.NoConFile\shell\Edit with PTK\command
        key = winreg.CreateKey(winreg.HKEY_CLASSES_ROOT, 
                "Python.NoConFile\shell\Edit with PTK\command")
        winreg.SetValueEx(key, "", 0, winreg.REG_SZ,cmd)
        winreg.CloseKey(key)
    except:
        print 'Failed to register file types'
        
elif sys.argv[1] == "-remove":
    ##remove windows registry entries.
    try:
        #.py
        key = winreg.CreateKey(winreg.HKEY_CLASSES_ROOT, 
            "Python.File\shell\Edit with PTK\command")
        winreg.DeleteKey(key,'')
        winreg.CloseKey(key)
        key = winreg.CreateKey(winreg.HKEY_CLASSES_ROOT, 
            "Python.File\shell\Edit with PTK")
        winreg.DeleteKey(key,'')
        winreg.CloseKey(key)

        #.pyw
        key = winreg.CreateKey(winreg.HKEY_CLASSES_ROOT, 
            "Python.NoConFile\shell\Edit with PTK\command")
        winreg.DeleteKey(key,'')
        winreg.CloseKey(key)
        key = winreg.CreateKey(winreg.HKEY_CLASSES_ROOT, 
            "Python.NoConFile\shell\Edit with PTK")
        winreg.DeleteKey(key,'')
        winreg.CloseKey(key)
    except:
        print 'Failed to deregister file types'

    ##Startmenu shortcuts are removed automatically
    ##as they are added using file_created/directory_created